Thread (1 message) 1 message, 1 author, 2016-06-15

Re: [PATCH] contrib/subtree: unwrap tag refs

From: David A. Greene <hidden>
Date: 2016-06-15 23:07:43

I am sorry I neglected to follow-up on this.

greened@obbligato.org (David A. Greene) writes:
Rob Mayoff [off-list ref] writes:
quoted
diff --git a/contrib/subtree/git-subtree.sh b/contrib/subtree/git-subtree.sh
index 9f06571..b051600 100755
--- a/contrib/subtree/git-subtree.sh
+++ b/contrib/subtree/git-subtree.sh
@@ -245,7 +245,10 @@ find_latest_squash()
 		case "$a" in
 			START) sq="$b" ;;
 			git-subtree-mainline:) main="$b" ;;
-			git-subtree-split:) sub="$b" ;;
+			git-subtree-split:)
+				sub="$b"
Why include the above line?
My bad.  Missed the diff markers.  This is fine.
quoted
+				sub="$(git rev-parse "$b^0")" || die "could not rev-parse split hash $b from commit $sq"
This seems like odd quoting.  Would not this do the same?

				sub="$(git rev-parse $b^0)" || die "could not rev-parse split hash $b from commit $sq"

Perhaps I am missing something.
Jeff explained it, so this is ok.

This all looks good to me.  Junio, please apply.

                            -David
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help